Subject: Serial port programming
From: Kim Poulsen <[email-masked]>
To: Cygwin Mailing list <[email-masked]>
Date: Mon, 23 Aug 1999 08:31:32 +0200

Hi there

  I've got the following problem:
I need to access the serial ports of my PC through an ANSI C program.
How do I do that ?  I have already tried using fopen("/dev/com2", "r")
and fopen("com2", "r") but these only causes a core dump.
  So how to avoid core dumping and make me able to set the serial port
stats (parity, stop bits, bits per byte, serial speed) ?
dos.h is not available as far as I can see and therefore inportb() and
outportb() as well...

The FAQ or the mailing list archive has no response on 'serial' or
'port' which is why I ask here now.

Thank you in advance for any answers that might help me clear this up.
  Kim
-- 
 Kim Poulsen, B.Sc.E.E, System Developer HW
 Ericsson Telebit A/S     Tel: + 45 86 28 81 76
 Fabriksvej 11            Fax: + 45 86 28 81 86
 DK-8260 Viby J           E-mail: [email-masked]
 Denmark                  URL: http://www.tbit.dk/

--
Want to unsubscribe from this list?
Send a message to [email-masked]